BADBLOCKS(8)

NAZWA
badblocks - poszukiwanie uszkodzonych bloków na urządzeniu

SKŁADNIA

badblocks
    [ -svwnf ] [ -b rozmiar-bloku ] [ -c bloków_na_raz ] [ -i plik_wejściowy ] [ -o plik_wynikowy ] [ -p liczba_przebiegów ] urządzenie [ ostatni-blok ] [ początkowy-blok ]

OPIS
badblocks służy do wyszukiwania uszkodzonych bloków na urządzeniu (zwykle na partycji dyskowej).
urządzenie jest plikiem specjalnym odpowiadającym danemu urządzeniu (np. /dev/hdc1). ostatni-blok jest ostatnim sprawdzanym blokiem; jeśli nie zostanie podany, domyślnie przyjmowany jest ostatni blok na danym urządzeniu.

Ważna uwaga: Jeżeli wyjście badblocks ma być przekierowane do pragramu e2fsck lub mke2fs, to ważnym jest, aby został prawidłowo określony rozmiar bloku, gdyż generowane numery bloków mocno zależą od użytego rozmiaru bloku. Z tego powodu zdecydowanie zalecane jest, aby użytkownicy nie uruchamiali badblocks bezpośrednio, a raczej posługiwali się opcją -c programów e2fsck i mke2fs.

OPCJE

-b rozmiar-bloku
    Określa rozmiar bloku w bajtach.

-c bloków_na_raz
    jest to liczba bloków sprawdzanych jednocześnie. Wartością domyślną jest 16. Zwiększenie tej liczby zwiększy wydajność badblocks, ale również zwiększy zużycie pamięci. Ilość pamięci potrzebna badblocks jest w trybie tylko do odczytu proporcjonalna do liczby sprawdzanych jednocześnie bloków, w trybie do odczytu i zapisu proporcjonalna do tej liczby podwojonej, a w trybie nie niszczącego odczytu i zapisu do tej liczby potrojonej. Jeśli wartość parametru określającego liczbę bloków będzie zbyt duża, to badblocks zakończy pracę prawie natychmiast z błędem braku pamięci "podczas przydzielania buforów" (while allocating buffers). Jeśli będzie ona zbyt mała, to może się zdarzyć, że wątpliwe bloki na niepewnym twardym dysku zostaną ukryte przez efekty buforowania ścieżek dysku twardego.

-f  Normalnie, badblocks odmówi wykonania sprawdzenia w trybie odczytu i zapisu lub w trybie nie niszczącym danych na zamontowanym urządzeniu, gdyż każdy z nich może potencjalnie spowodować awarię systemu. Nawet sprawdzenie nie niszczące danych może spowodować uszkodzenie zamontowanego systemu plików. Można to zachowanie zmienić za pomocą opcji -f, ale prawie nigdy nie należy jej używać --- jeśli uważasz, że jesteś mądrzejszy niż program badblocks, prawie na pewno nie powinieneś tego robić. Jedyny przypadek, kiedy można bezpiecznie posłużyć się tą opcją, to sytuacja, gdy zawartość pliku /etc/mtab jest nieprawidłowa a urządzenie w rzeczywistości nie jest zamontowane.

-i plik_wejściowy
    Odczytuje listę aktualnie istniejących, znanych uszkodzonych bloków. Program badblocks nie wykona sprawdzenia tych bloków, gdyż wiadomo, że są one uszkodzone. Jeśli plik_wejściowy zostanie podany jako "-", lista zostanie odczytana ze standardowego wejścia. Bloki występujące na tej liście zostaną pominięte na liście nowych uszkodzonych bloków tworzonej na standardowym wyjściu lub w pliku wynikowym. Opcja -b programu dumpe2fs(8) może służyć do odtworzenia listy bloków aktualnie zaznaczonych jako uszkodzone w istniejącym systemie plików, w postaci odpowiedniej dla tej opcji.

-o plik_wynikowy
    Zapisuje listę uszkodzonych bloków do podanego pliku. Bez tej opcji, badblocks wypisuje listę na standardowe wyjście. Plik ten ma postać odpowiednią do wykorzystania go w opcji -l programu e2fsck(8) lub mke2fs(8).

-p liczba_przebiegów
    Powtarza skanowanie dysku tak długo, aż w ciągu liczba_przebiegów kolejnych skanowań dysku nie zostanie odkryty żaden nowy uszkodzony blok. Domyślną wartością jest 0, co oznacza, że badblocks zakończy po pierwszym przebiegu.

-n  Korzystanie podczas sprawdzenia z nie niszczącego danych trybu odczytu i zapisu. Domyślnie przeprowadzane są wyłącznie sprawdzenia nie niszczące danych. Opcji tej nie można łączyć z opcją -w, gdyż wykluczają się one wzajemnie.

-s  Pokazuje postępy przeszukiwania, wypisując numery bloków podczas ich sprawdzania.

-v  Tryb rozwlekły (gadatliwy).

-w  Korzystanie podczas sprawdzenia z testu zapisywania. Po podaniu tej opcji, badblocks wyszukuje uszkodzone bloki zapisując pewne wzorce (0xaa, 0x55, 0xff, 0x00) w każdym bloku urządzenia, odczytując każdy blok i porównując zawartość. Opcji tej nie można łączyć z opcją -n, gdyż wykluczają się one wzajemnie.

OSTRZEŻENIE
Nigdy nie należy używac opcji -w na urządzeniu zawierającym istniejący system plików. Ta opcja kasuje dane! Jeśli istnieje potrzeba wykonania testu w trybie zapisu na istniejącym systemie plików, należy posłużyć się zamiast niej opcją -n. Jest to wolniejsze, ale zachowa istniejące dane.

AUTOR
badblocks został napisany przez Remy'ego Carda <Remy.Card@linux.org>. Aktualnym konserwatorem jest Theodore Ts'o <tytso@alum.mit.edu>. Niedestrukcyjny test odczytu/zapisu zaimplementował David Beattie <dbeattie@softhome.net>.

DOSTĘPNOŚĆ
badblocks jest częścią pakietu e2fsprogs i jest dostępny na stronie http://e2fsprogs.sourceforge.net.

ZOBACZ TAKŻE
e2fsck(8), mke2fs(8)